Subject: Re: [PATCH 1/1] range-diff: internally force `diff.noprefix=false`

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Oct 2019 09:41:41 +0900

Junio C Hamano <[email-masked]> writes:

> "Johannes Schindelin via GitGitGadget" <[email-masked]>
> writes:
>
>> From: Johannes Schindelin <[email-masked]>
>>
>> When parsing the diffs, `range-diff` expects to see the prefixes `a/`
>> and `b/` in the diff headers.
>
> If so, passing src/dst prefix as command line option is a much
> better solution, I think.  diff.noprefix may not stay to be (or it
> may already not to be) the only thing how the prefix gets chosen.

That is, "--src-prefix=a/ --dst-prefix=b/", so that configuration
variables yet to be invented for setting prefixes different from a/
and b/ can also be overridden, not just diff.noprefix (ancient Git
used l/ and k/ as src and dst prefix, IIRC).